%global enable_tests 1
%global srcname commoner

%global commit0 4c0d8af2028a909bf893a7cb47ca1a47b51dde85
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           nodejs-%{srcname}
Version:        0.10.3
Release:        1%{?dist}
Summary:        Tool for translating any dialect of JavaScript to Node CommonJS modules
License:        MIT
URL:            https://github.com/benjamn/commoner
Source0:        https://github.com/benjamn/%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{shortcommit0}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(iconv-lite)
BuildRequires:  npm(install)
BuildRequires:  npm(mocha)
BuildRequires:  npm(private)
BuildRequires:  npm(q)
BuildRequires:  npm(recast)
%endif

%description
%{summary}.

%prep
%setup -qn %{srcname}-%{commit0}
rm -rf node_modules

%nodejs_fixdep commander '2.x'
%nodejs_fixdep glob
%nodejs_fixdep graceful-fs
%nodejs_fixdep iconv-lite '0.x'
%nodejs_fixdep mkdirp '0.x'
%nodejs_fixdep private '0.1.x'
%nodejs_fixdep q '1.x'
%nodejs_fixdep recast '0.x'


%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json main.js lib/ bin/ \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{srcname}/bin/commonize \
    %{buildroot}%{_bindir}/commonize

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha --reporter spec test/run.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}
%{_bindir}/commonize

%changelog
* Tue Sep 08 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.10.3-1
- Initial package
